Package org.apache.sysds.runtime.matrix.operators

## Class CountDistinctOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
    - - org.apache.sysds.runtime.matrix.operators.AggregateUnaryOperator
      - - org.apache.sysds.runtime.matrix.operators.UnarySketchOperator
        - - org.apache.sysds.runtime.matrix.operators.CountDistinctOperator

All Implemented Interfaces:
  `Serializable`

    public class CountDistinctOperator
    extends UnarySketchOperator

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.AggregateUnaryOperator

`aggOp, indexFn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
`CountDistinctOperator​(AggregateUnaryCPInstruction.AUType opType, Types.Direction direction, IndexFunction indexFunction)`
`CountDistinctOperator​(CountDistinctOperatorTypes operatorType, Types.Direction direction, IndexFunction indexFunction, Hash.HashType hashType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Hash.HashType` `getHashType()`
`CountDistinctOperatorTypes` `getOperatorType()`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.UnarySketchOperator

`getDirection`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.AggregateUnaryOperator

`isColAggregate, isFullAggregate, isRowAggregate, toString`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CountDistinctOperator

    public CountDistinctOperator​(AggregateUnaryCPInstruction.AUType opType,
                                 Types.Direction direction,
                                 IndexFunction indexFunction)

#### CountDistinctOperator

    public CountDistinctOperator​(CountDistinctOperatorTypes operatorType,
                                 Types.Direction direction,
                                 IndexFunction indexFunction,
                                 Hash.HashType hashType)

### Method Detail

#### getOperatorType

    public CountDistinctOperatorTypes getOperatorType()

#### getHashType

    public Hash.HashType getHashType()